commit: 98b223ffd8c3d239d3784180aaeab152bc16b4c9
Author: Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 12:07:13 2021 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:55 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98b223ff
sci-chemistry/rasmol: fix build with -native-symlinks
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild
b/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild
index 6c8eb7c7eea..960a5d0f465 100644
--- a/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild
+++ b/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -33,7 +33,7 @@ RDEPEND="
DEPEND="${RDEPEND}
app-text/rman
x11-base/xorg-proto
- x11-misc/imake"
+ >=x11-misc/imake-1.0.8-r1"
#S="${WORKDIR}/${PN}-2.7.5-${VERS}"
S="${WORKDIR}/RasMol-${PV}"
@@ -78,7 +78,8 @@ src_prepare() {
mv vector.c v_ector.c || die
mv vector.h v_ector.h || die
- xmkmf -DGTKWIN || die "xmkmf failed with ${myconf}"
+ CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+ IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -DGTKWIN || die
}
src_compile() {